Looking for ePay classic docs? Go to docs.epay.dk
ePay documentationDocsePay documentation
Management

Create API key

POST
/public/api/v1/management/api-keys

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

namestring
Required
Example:
"My Name"

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/public/api/v1/management/api-keys" \  -H "Content-Type: application/json" \  -d '{    "name": "My Name"  }'
{  "name": "My Name",  "key": "test_13cfbcbf-fd20-4dc5-9b16-209f6c708119"}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}
{  "errorCode": "VALIDATION_ERROR",  "message": "Input validation errors",  "errors": {    "amount": [      "[required]: Is a required non-nullable field",      "[int]: Must be an integer",      "[min:0]: Must be greater than 0",      "[max:999999999]: Must be less than 999999999"    ]  }}
{  "errorCode": "SERVER_ERROR",  "message": "An unexpected system error"}